Bug 392991 - [RFE] integration with initscripts
[RFE] integration with initscripts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openvpn (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 15:32 EST by Pierre Ossman
Modified: 2012-04-24 10:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 10:02:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2007-11-20 15:32:09 EST
This was mentioned once before, but nothing seems to have come of it so I
figured I'd give you a reping.

The missing feature is that openvpn isn't coupled to Red Hat's initscripts (ifup
& friends). There is a package available that I wrote that could be used as a
decent base:

http://projects.drzeus.cx/openvpn-initscripts/

The previous discussion was here:

http://www.redhat.com/archives/fedora-extras-list/2005-February/msg00490.html
Comment 1 Steven Pritchard 2007-11-20 16:11:22 EST
That's been on my list for a long time, but with NetworkManager threatening to 
take over all the network-scripts duties, it hasn't been all that high on the 
list.  Now that's supposedly going to happen in time for F9...

http://fedoraproject.org/wiki/Releases/FeatureMoreNetworkManager
Comment 2 Pierre Ossman 2007-11-21 01:01:31 EST
I have to say I've been less than impressed with NetworkManager's ability, or
lack thereof, to deal with OpenVPN tunnels, so I'll probably keep on using
initscripts for the foreseeable future.
Comment 3 Bug Zapper 2008-11-26 03:37:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 00:18:02 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Pierre Ossman 2009-01-09 01:18:39 EST
Can networkmanager provide the same functionality for a headless machine yet? Otherwise I'd still like to see this integrated.
Comment 6 Chris Weyl 2009-01-09 09:49:20 EST
Pierre -- are you a fedora contributor?  If so and you want to submit openvpn-initscripts, I'll review it for you.
Comment 7 Pierre Ossman 2009-01-09 10:03:26 EST
I am, but I'm a pretty crappy one as I've not had time to keep packages up to date. So I don't think it would be fair to anyone for me to submit another package. I'll be around for any issues, but not at a level I feel is appropriate for a maintainer.
Comment 8 Gwyn Ciesla 2010-01-26 09:17:45 EST
The recent release of openvpn contains an initscript with an LSB block, and NetworkManager-openvpn is available on the client side.  Are there further needs WRT this bug that these do not meet?
Comment 9 Pierre Ossman 2010-01-26 09:39:11 EST
NetworkManager is not yet ready to completely replace initscript's network handling, so I'd say there is still a need for these scripts.
Comment 10 Gwyn Ciesla 2012-04-24 10:02:57 EDT
Obsoleted by systemd.

Note You need to log in before you can comment on or make changes to this bug.